Groovy Documentation

## org.codehaus.groovy.tools.shell
[Groovy] Class ShellRunner

    java.lang.Object
      org.codehaus.groovy.tools.shell.ShellRunner

All Implemented Interfaces:
  java.lang.Runnable

    abstract class ShellRunner

Support for running a Shell.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected Logger` | `log`

Property Summary
`boolean` | `breakOnNull`
`Closure` | `errorHandler`
`boolean` | `running`
`Shell` | `shell`

Constructor Summary
`ShellRunner(Shell shell)`

Method Summary
`protected java.lang.String` | `readLine()`
`void` | `run()`
`protected boolean` | `work()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### log

    protected final Logger log

Property Detail

### breakOnNull

    boolean breakOnNull

### errorHandler

    Closure errorHandler

### running

    boolean running

### shell

    final Shell shell

Constructor Detail

### ShellRunner

    ShellRunner(Shell shell)

Method Detail

### readLine

    protected java.lang.String readLine()

### run

    void run()

### work

    protected boolean work()

Groovy Documentation